
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>DOM中文本和标记的插入 / 憋错料</title>

    <meta name="description" content="DOM中文本和标记的插入 innerHTML innerHTML在读模式下,返回与调用元素的所有子节点(包括元素.注释和文本节点)对应的HTML标记.在写模式下,innerHTML会根据指定的值创建新的DOM树,然后用这个DOM树完全替换调用元素原先的所有子节点. [注意]并不是所有元素都支持innerHTML属性,不支持innerHTML的属性有:&lt;col&gt;.&lt;colgroup&gt;.&lt;frameset&gt;.&lt;head&gt;.&lt;html&gt;.&lt;style&gt;.& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">DOM中文本和标记的插入</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>innerHTML</h2>
<p>　　innerHTML在读模式下，返回与调用元素的所有子节点(包括元素、注释和文本节点)对应的HTML标记。在写模式下，innerHTML会根据指定的值创建新的DOM树，然后用这个DOM树完全替换调用元素原先的所有子节点。</p>
<p>　　[注意]并不是所有元素都支持innerHTML属性，不支持innerHTML的属性有:&lt;col&gt;、&lt;colgroup&gt;、&lt;frameset&gt;、&lt;head&gt;、&lt;html&gt;、&lt;style&gt;、&lt;table&gt;、&lt;tbody&gt;、&lt;thead&gt;、&lt;tfoot&gt;、&lt;tr&gt;。在IE8-浏览器中&lt;title&gt;元素也没有该属性</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in" &gt;1&lt;/li&gt;
    &lt;li class="in ab" &gt;2&lt;/li&gt;
    &lt;li class="in ab c"&gt;3&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
//IE8-浏览器会将所有标签转换成大写形式，且不包含空白文本节点；而其他浏览器则原样返回
var oList = document.getElementById("list");
console.log(oList.innerHTML);
&lt;/script&gt;</pre>
<p>　　</p>
<p>　　[a]如果设置的值只是文本，则结果就是设置纯文本</p>
<pre>&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
oBox.innerHTML = "hello world!";//页面显示hello world!
&lt;/script&gt;</pre>
<p>　　[b]如果设置的值包含HTML标签，则浏览器会将这个字符串解析成相应的DOM树</p>
<pre>&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
oBox.innerHTML = "Hello &amp; welcome, &lt;b&gt;‘reader‘&lt;/b&gt;";//页面显示Hello &amp; welcome, ‘reader‘
&lt;/script&gt;</pre>
<p>　</p>
<p>　　无论什么时候，只要使用innerHTML从外部插入HTML，都应该首先以可靠的方式处理HTML。IE浏览器提供了window.toStaticHTML()方法，这个方法接收一个参数，即一个HTML字符串；返回一个经过无害处理后的版本&mdash;&mdash;从源HTML中删除所有脚本节点和事件处理程序属性。</p>
<pre>var text = "&lt;a href=‘#‘ onclick = ‘alert(\"hi\");‘&gt;Click Me&lt;/a&gt;";
var sanitized = window.toStaticHTML(text);
//只有IE支持
console.log(sanitized);//&lt;a href="#"&gt;Click Me&lt;/a&gt;</pre>
<p>　　【限制】</p>
<p>　　　　【&lt;script&gt;】</p>
<p>　　　　大多数浏览器中，通过innerHTML插入&lt;script&gt;元素并不会执行其中的脚本。IE9-浏览器在满足一定条件下可以执行脚本，一是为&lt;script&gt;元素设置defer属性，二是&lt;script&gt;元素必须位于&ldquo;有作用域的元素&rdquo;之后。如果通过innerHTML插入的字符串开头就是一个&ldquo;无作用域的元素&rdquo;，那么IE会在解析这个字符串前先删除该元素。</p>
<pre>&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
//innerHTML字符串一开始就是一个无作用域的元素，所以这个字符串会变成空字符串。
oBox.innerHTML = "&lt;script defer&gt;alert(‘hi‘);&lt;\/script&gt;";
&lt;/script&gt;
    如果想插入这段脚本，必须在前面添加一个有作用域的元素，可以是一个文本节点，也可以是一个没有结束标签的元素如&lt;input&gt;。以下这三种方法都可以让页面弹出"hi";
&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
oBox.innerHTML = "&amp;nbsp;&lt;script defer&gt;alert(‘hi‘);&lt;\/script&gt;";
oBox.innerHTML = "&lt;div&gt;&amp;nbsp;&lt;/div&gt;&lt;script defer&gt;alert(‘hi‘);&lt;\/script&gt;";
oBox.innerHTML = "&lt;input type=‘hidden‘&gt;&lt;script defer&gt;alert(‘hi‘);&lt;\/script&gt;";
&lt;/script&gt;</pre>
<p>　　　　【&lt;style&gt;】</p>
<p>　　　　　大多数浏览器都支持以直观的方式通过innerHTML插入&lt;script&gt;标签</p>
<pre>&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
//IE8-浏览器无变化，其他浏览器背景变成红色
oBox.innerHTML = "&lt;style type=‘text\/css‘&gt;body{background-color: red;}&lt;/style&gt;";
&lt;/script&gt;
            由于IE8-浏览器中，&lt;style&gt;是一个没有作用域的元素，所以必须设置一个前置的作用域元素
&lt;div class="box" id="box"&gt;&lt;/div&gt;
&lt;script&gt;
var oBox = document.getElementById("box");
oBox.innerHTML = "_&lt;style type=‘text\/css‘&gt;body{background-color: red;}&lt;/style&gt;";
oBox.removeChild(oBox.firstChild);
&lt;/script&gt;</pre>

<h2>outerHTML</h2>
<p>　　在读模式下outerHTML返回调用它的元素及所有子节点的HTML标签。在写模式下，outerHTML会根据指定的HTML字符串创建新的DOM子树，然后用这个DOM子树完全替换调用元素。</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
/*返回
&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;*/
//IE8-浏览器会将所有标签转换成大写形式，且不包含空白文本节点
console.log(oList.outerHTML);
&lt;/script&gt;</pre>
<p>　　写模式下新创建的元素将取代本身</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
oList.outerHTML = "&lt;div&gt;&lt;/div&gt;";
console.log(document.getElementById(‘list‘));//null
&lt;/script&gt;</pre>

<h2>innerText</h2>
<p>　　通过innerText属性可以操作元素中包含的所有文本内容，包括子文档树中的文本。在通过innerText读取值时，它会按照由浅入深地顺序，将子文档树中的所有文本拼接起来。在通过innerText写入值时，结果会删除元素的所有子节点，插入包含相应文本值的文本节点。(firefox不支持)</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
console.log(oList.innerText);//除了firefox，其他浏览器都输出1 2
oList.innerText="hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;";//页面上显示hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;
&lt;/script&gt;</pre>

<h2>outerText</h2>
<p>　　除了作用范围扩大到了包含调用它的节点之外，outerText与innerText基本上没有多大区别，在读取文本值时，outerText与innerText的结果完全一样，但在写模式下，outerText就完全不同了：outerText不只是替换调用它的元素的子节点，而是会替换整个元素。(firefox不支持)</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
console.log(oList.outerText);//1 2
oList.outerText = "hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;";//页面上显示hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;
console.log(document.getElementById(‘list‘));//null
&lt;/script&gt;</pre>

<h2>textContent</h2>
<p>　　textContent属性与innerText属性类似。但实际上innerText与textContent返回的内容并不完全一样。innerText会忽略行内的样式和脚本，而textContent则会像返回其他文本一样，返回行内的样式和脚本。避免跨浏览器兼容的问题的最佳途径，就是从不包含行内样式或行内脚本的DOM子树副本或DOM片段中读取文本(IE8-浏览器不支持)</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
console.log(oList.textContent);//除了IE8-浏览器，其他浏览器都输出1 2
oList.textContent="hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;";//页面上显示hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;
&lt;/script&gt;</pre>
<p>　　所以，innerText与textContent的兼容写法为：</p>
<pre>&lt;ul class="list" id="list"&gt;
    &lt;li class="in"&gt;1&lt;/li&gt;
    &lt;li class="in"&gt;2&lt;/li&gt;
&lt;/ul&gt;
&lt;script&gt;
var oList = document.getElementById(‘list‘);
function getInnerText(element){
    return (typeof element.textContent == "string") ? element.textContent : element.innerText;
}
function setInnerText(element,text){
    if(typeof element.textContent == "string"){
        element.textContent = text;
    }else{
        element.innerText = text;
    }
}
console.log(getInnerText(oList));//1 2
setInnerText(oList,"hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;")//页面上显示hello &amp; welcome &lt;b&gt;reader&lt;/b&gt;
&lt;/script&gt;</pre>

<h2>内存与性能&nbsp;　</h2>
<p>　　当某个元素有一个事件处理程序，在使用某个属性将该元素从文档树中删除后，元素与事件处理程序之间的绑定关系在内存中并没有一并删除，如果这种情况频繁出现，页面占用的内在数量就会明显增加。因此，使用innerHTML、outerHTML属性时，最好先手工删除要被替换元素的所有事件处理程序和JavaScript对象属性。<br />	最好将设置innerHTML或outerHTML的次数控制在合理的范围内。</p>
<pre>for(var i = 0; len = values.length; i &lt; len; i++){
    //要避免这种频繁操作
    ul.innerHTML += "&lt;li&gt;" + values[i] + "&lt;/li&gt;";
}</pre>
<p>　　这种每次循环都设置一次innerHTML的做法效率很低，而且，每次循环还要从innerHTML中读取一次信息，就意味着每次循环要访问两次innerHTML。最好的做法是单独构建字符串，然后再一次性地将字符串赋值给innerHTML。</p>
<pre>var itemsHtml = "";
for(var i = 0; len = values.length; i &lt; len; i++){
    itemsHtml += "&lt;li&gt;" + values[i] + "&lt;/li&gt;";
}
//这种效率要高得多，因为它只对innerHTML执行了一次赋值操作。
ul.innerHTML = itemsHtml;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-29 03:41:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>DOM中文本和标记的插入的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x8AOz0.html" rel="bookmark">DOM中文本节点索引方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题 对于 jquery 接口text()只能取到有标签的 dom对象中 文本内容. 如果索引对象本身就是文本节点,则不好索引到, 没有相关的索引选择器. 例如: 对于&lt;input&gt;aaa 形式的代码, $(&quot;input&quot;).next().text(), 则不能返回 aaa. 下面有讨论使用jquery索引的方法, 目标是在某个标签下, 找到所有 text node的 对象: http://stackoverflow.com/questions/298750/how-do-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQnxJM.html" rel="bookmark">JavaScript中String对象处理HTML标记中文本的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				big():创建一个&lt;big&gt;&lt;/big&gt;标记,将这个字符串的字体变大blink():创建一个&lt;blink&gt;&lt;/blink&gt;标记,使字符串具有闪烁效果bold():创建一个&lt;bold&gt;&lt;/bold&gt;标记,使字符串加粗显示fixed():创建一个&lt;tt&gt;&lt;/tt&gt;标记,使字符串固定倾斜显示italics():创建一个&lt;i&gt;&lt;/i&gt;标记,使字符串以斜体显示small():创建一个&lt;sm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49kgPJ0.html" rel="bookmark">如何在Google Map中处理大量标记&lpar;ASP&period;NET&rpar;&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在Google Map中处理大量标记(ASP.NET)(原创-翻译) Posted on 2010-07-29 22:04 Happy Coding 阅读(8827) 评论(8) 编辑 收藏 在你有一个合理的标记数量的时候,使Google Map标记是很平常的.但是一旦你有几百个.甚至更多地标的时候,性能迅速的开始降低.在本文章中,我会告诉你一些提高性能的方法.同时我会放一个测试页面去比较它们的效率. 如果你是第一次使用Google Map的标记,我建议你先去了解一下在Google Map上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgXDan0.html" rel="bookmark">JS学习之DOM节点的关系属性封装、克隆节点、Dom中Style常用的一些属性等小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS DOM节点: 在JS DOM中节点的关系被定义为节点的属性: 通常有以下几种节点之间的关系: (这里的关系是所有浏览器都支持的) parentNode    父节点 childNodes    子节点 firstChild    父节点里的第一个子节点 lastChild     父节点里的最后一个子节点 nextSibling    与子节点并列的下一个兄弟节点 previousSibling   与子节点并列的上一个兄弟节点 火狐与谷歌支持而ie8不支持的节点关系有: previous			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R8r8P4.html" rel="bookmark">DOM中的NodeList与HTMLCollection</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在看&lt;Javascript高级程序设计&gt;的时候,看到了这样一句话:“理解NodeList和HTMLCollection,是从整体上透彻理解DOM的关键所在.”,所以觉得应该写一篇关于NodeList和HTMLCollection的博客来好好了解和总结下这方面的知识点. NodeList NodeList是一个节点的集合(既可以包含元素和其他节点),在DOM中,节点的类型总共有12种,通过判断节点的nodeType来判断节点的类型. 我们可以通过Node.childNodes和documen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a5jVv0.html" rel="bookmark">DOM中document对象的常用属性方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提要: 每个载入浏览器的 HTML 文档都会成为 Document 对象. Document 对象使我们可以从脚本中对 HTML 页面中的所有元素进行访问 1.常见对象属性 document.title                 //设置文档标题等价于HTML的&lt;title&gt;标签document.bgColor               //设置页面背景色document.fgColor               //设置前景色(文本颜色)document.linkColor    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME2pbR0.html" rel="bookmark">javascript DOM中的节点层次和节点类型概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对JS高级程序设计这本书,主要是理解概念,大部分内容源自书内.写这个主要是当个书中的笔记加总结 存在的问题请大家多多指正! 因为DOM这方面的对象方法操作性都特别强,但是逻辑很简单,所以就没有涉及到实际的代码. 另外这篇不包括DOM2,DOM3的内容 DOM 文档对象模型,针对HTML和XML文档的一个API.描绘了一个层次化的结点树,循序开发人员添加,移除修改页面上的一部分. 1节点层次 DOM把文档描绘成一个由多层节点构成的结构.节点有不同的类型.节点之间的关系构成了层次. 文档节点是每个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmnPXp0.html" rel="bookmark">js&mdash;&mdash; DOM中的node类型（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DOM中的node类型 DOM1中定义了一个Node接口,这个接口在js中作为Node类型实现,除IE外,其他浏览器都可以访问到这个类型.Js中所以节点类型都继承自Node类型,节点类型都享有共同的·基本属性和方法. 每个节点都有nodeType属性,表明节点类型,由12个常量表示,任何节点必居其一. Node.ELEMENT_NODE 1 元素节点 Node.ATTRIBUTE_NODE 2 属性节点 Node.TEXT_NODE 3 文本节点 ...... 常用的为以上三种,还有其他类型可去			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rZDLv3.html" rel="bookmark">css中文本框与按钮对不齐解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们先对对input标记设定样式,代码如下: html 代码 &lt;form&gt; &lt;input type=”text” name=”text1” id=”text1” /&gt; &lt;input type=”submit” name=”button” id=”button” value=”提交” /&gt; &lt;/form&gt; CSS 代码 #text1{border:1px solid red;height:20px;} #button{background:#FFFFFF;co			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0ekRZ4.html" rel="bookmark" class="title">单精度浮点数</a>
					<div>
						单精度浮点数格式 是一种计算机数据格式,在计算机存储器中占用4个字节(32 bits),利用&quot;浮点&quot;(浮动小数点)的方法,可以表示一个范围很大的数值. 在 IEEE 754-200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzaRaO4.html" rel="bookmark" class="title">SQL Tuning 基础概述05 - Oracle 索引类型及介绍</a>
					<div>
						一.B-Tree索引 三大特点:高度较低.存储列值.结构有序 1.1利用索引特性进行优化 外键上建立索引:不但可以提升查询效率,而且可以有效避免锁的竞争(外键所在表delete记录未提交,主键所在表会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kX9yL3.html" rel="bookmark" class="title">js常用返回网页顶部几种方法</a>
					<div>
						一.使用锚标记 此方法最简单,只需在body下放个隐藏的锚点标记,内容如下:  代码如下 复制代码 &lt;a name=&quot;top&quot; id=&quot;top&quot;&gt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAor63.html" rel="bookmark" class="title">自动安装系统及网络安装服务</a>
					<div>
						{unit自动安装系统} [1.kickstart脚本] kickstart脚本是自动应答系统在安装过程中一切问题的脚本文件 这个文件可以实现系统的自动安装 在系统安装完毕后会在系统的root家目录中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDXNb3.html" rel="bookmark" class="title">android studio新建hello world时出现Rendering Problems</a>
					<div>
						The following classes could not be instantiated:        - android.support.v7.internal.widget.ActionB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP88KvM.html" rel="bookmark" class="title">抽象工厂模式（转）</a>
					<div>
						转自 http://www.cnblogs.com/java-my-life/archive/2012/03/28/2418836.html 场景问题 举个生活中常见的例子——组装电脑,我们在组装电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lwv20.html" rel="bookmark" class="title">HTTP权威指南读书笔记</a>
					<div>
						1.8 web组件结构: 代理 :位于客户端和服务器之间的HTTP中间实体 缓存 :HTTP的仓库,使常用页面的副本可以保存在离客户端很近的地方 网关 :链接其他应用程序的特殊web服务器(如邮件服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YXmzrM.html" rel="bookmark" class="title">关于set和get机制的整理</a>
					<div>
						首先这是es5新增的:定义是设置和获取对象属性时候出发的方法,属于修饰器: 犀牛书例子: function test(n){ return { get count(){ return n }, set ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvOQX3.html" rel="bookmark" class="title">Ubuntu安装Mysql过程及远程问题解决</a>
					<div>
						ubuntu下执行 sudo apt-get instlll mysql-server sudo apt-get install mysql-client 安装过程中会有文字界面设置密码 牢记密码 M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rv9wl3.html" rel="bookmark" class="title">Cowboy&period;WebSockets 开源 WebSocket 网络库</a>
					<div>
						Cowboy.WebSockets 是一个托管在 GitHub 上的基于 .NET/C# 实现的开源 WebSocket 网络库,其完整的实现了 RFC 6455 (The WebSocket Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LdXA4.html" rel="bookmark" class="title">axure笔记--内置变量</a>
					<div>
						部件变量: This:当前变量名称 Target:目标变量的名称 x,y表示组件左上角的位置 name:获取当前组件标签命名 Top:获取组件上边界到x轴的距离 bottom:获取组件下边界到x轴的距 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrAJn4.html" rel="bookmark" class="title">关于java中split的使用</a>
					<div>
						之前在博客中已经叙述过这个问题,但是最近一次笔试中居然有碰到了这个知识点,而且还做错了,囧!学艺不精啊.题目大概是这样的: Java代码 String s2=&quot;this is a test& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEJlRM.html" rel="bookmark" class="title">在C代码中将结构体变量作为参数传递效率忒低</a>
					<div>
						在C语言编程中,我们几乎不可能看见有人将一个结构体变量作为参数进行传递,因为效率太低了.本文尝试从反汇编的角度给出其中的原因. 对于C语言来说,所有的参数传递都是值传递.如果一个变量为指针,那么传递的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwvQe0.html" rel="bookmark" class="title">第3例&mdash;&mdash;c&plus;&plus;编译过程</a>
					<div>
						为什么定义不放在头文件中? 原因是不能定义具有外部链接的变量.因为有多个编译单元话,在链接的时候会找到多个定义,链接器无法确定应该链接到哪个定义上因此报错. 预编译只是防止在一个编译单元中,重复inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglNrK0.html" rel="bookmark" class="title">L1&amp;amp&semi;L2 Regularization</a>
					<div>
						正则化方法:防止过拟合,提高泛化能力 在训练数据不够多时,或者overtraining时,常常会导致overfitting(过拟合).其直观的表现如下图所示,随着训练过程的进行,模型复杂度增加,在tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkJkbM.html" rel="bookmark" class="title">Divison and Recursion-MergeSort</a>
					<div>
						#include&lt;iostream&gt;using namespace std; void DoMerge(int array[], int buff[], int begin, int mi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvZmYM.html" rel="bookmark" class="title">android中 碎片的生命周期</a>
					<div>
						碎片的生命周期: 1 . onAttach() : 当碎片与活动建立关联是调用 2 . onCreateView() : 用于创建碎片的视图 3 . onActivityCreated() : 当活动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEWr213.html" rel="bookmark" class="title">VIM 技巧 （一 ）全文统一添加</a>
					<div>
						大家应该有遇到过给整篇内容增加同样的东西的经历.例如给每行结尾增加分号.冒号等内容. 今天和大家分享下 关于此场景如何快速.高效的实现. 例如 Line one Line two Line three ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEXjp0.html" rel="bookmark" class="title">uva 12009 - Avaricious Maryanna&lpar;暴力&rpar;</a>
					<div>
						题目连接:uva 12009 - Avaricious Maryanna 题目大意:给定n,求x,x为n位数,并且x*x的后n位还是x. 解题思路:打个表会发现其实有规律,除了n=1的时候多了0和1, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmmynPM.html" rel="bookmark" class="title">&lbrack;李景山php&rsqb;每天laravel-20161118&vert;ConnectionFatory&period;php-2</a>
					<div>
						    /**      * Get the read configuration for a read / write connection.      *      * @param  array ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
